Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 560418 - <net-misc/wget-1.16.3-r1: IP address exposure via FTP PORT command
Summary: <net-misc/wget-1.16.3-r1: IP address exposure via FTP PORT command
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: http://git.savannah.gnu.org/cgit/wget...
Whiteboard: A4 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-14 09:17 UTC by Agostino Sarubbo
Modified: 2016-10-29 13:35 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2015-09-14 09:17:03 UTC
From ${URL} :

User's IP address is exposed to the FTP server when automatically falling back from passive mode to active mode using PORT command. Wget is using normally passive mode, but this situation occurs when server rejects the PASV command. The real IP address is exposed 
even if client uses proxy server. Affected versions are <= 1.16.3.

CVE request:

http://seclists.org/oss-sec/2015/q3/516

Upstream patch:

http://git.savannah.gnu.org/cgit/wget.git/commit/?id=075d7556964f5a871a73c22ac4b69f5361295099


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 SpanKY gentoo-dev 2015-09-14 23:12:00 UTC
added upstream patch in 1.16.3-r1.  should be fine for stable.

http://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed1e5984dd18412d94ee20624acbdfa10c3f994a
Comment 2 Agostino Sarubbo gentoo-dev 2015-09-15 09:37:10 UTC
Arches, please test and mark stable:
=net-misc/wget-1.16.3-r1                                                                                                                                                                                                                                                       
Target keywords : "alpha amd64 arm arm64 hppa ia64 ppc ppc64 s390 sh sparc x86"
Comment 3 Agostino Sarubbo gentoo-dev 2015-09-15 12:28:36 UTC
amd64 stable
Comment 4 Agostino Sarubbo gentoo-dev 2015-09-15 12:29:13 UTC
x86 stable
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2015-09-16 05:31:51 UTC
Stable for HPPA PPC64.
Comment 6 Tobias Klausmann (RETIRED) gentoo-dev 2015-09-16 11:06:56 UTC
Stable on alpha.
Comment 7 Agostino Sarubbo gentoo-dev 2015-09-22 09:01:09 UTC
ppc stable
Comment 8 Markus Meier gentoo-dev 2015-09-25 06:02:55 UTC
arm stable
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-10-10 15:16:05 UTC
sparc stable
Comment 10 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-07-02 11:55:11 UTC
New GLSA request filed.
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2016-10-29 13:35:35 UTC
This issue was resolved and addressed in
 GLSA 201610-11 at https://security.gentoo.org/glsa/201610-11
by GLSA coordinator Kristian Fiskerstrand (K_F).